# Make

### @description Maker Project for Wallet

### ~avatar avatar

Make the duct tape wallet for your @boardname@

### ~

## Duration: ~30 minutes

## Materials
* Paper sheet
* Tape (masking, duct tape, and/or packing tape)
* Scissors
* 1 @boardname@, battery holder and 2 AAA batteries
* Marker or pen

![Materials: paper, tape, scissors](/static/mb/projects/wallet/materials.jpg)


## Duct tape sheet

Let's start by building a duct tape sheet.

Position the paper sheet on the workbench and place lines of tape over it. Make sure to overlap each layer to avoid seeing gaps of papers. In case of mistake, add tape!

![](/static/mb/projects/wallet/sheet1.jpg)

Cover the entire paper sheet with tape. Don't hesitate to use various colors or patterns!

![](/static/mb/projects/wallet/sheet2.jpg)

Unstick the sheet from the workbench carefully to avoid ripping out the tape and turn it over.

![](/static/mb/projects/wallet/sheet3.jpg)

Fold the remaining tape sections on the sides towards the center.

![](/static/mb/projects/wallet/sheet5.jpg)

Great job, your duct tape sheet is ready! Let's get onto the next step.

![](/static/mb/projects/wallet/sheet6.jpg)

## Card Hole

We need to cut a hole in the center of the sheet to allow storage of coins and cards inside the wallet.


Gently fold the sheet in half.

![](/static/mb/projects/wallet/hole1.jpg)

Gently foldy the other way.

![](/static/mb/projects/wallet/hole2.jpg)

Place the duct tape roll on the inside corner. This will determine the size of the hole.

![](/static/mb/projects/wallet/hole3.jpg)

Use your marker and trace around the roll.

![](/static/mb/projects/wallet/hole4.jpg)

Use your scissors and cut along the line you've just traced while keeping the sheet folded.

![](/static/mb/projects/wallet/hole5.jpg)

Well done! The hole is done and perfectly centered!

![](/static/mb/projects/wallet/hole6.jpg)

## Mounting the @boardname@

We are going to cut a hole for the @boardname@ screen and buttons on the front of the wallet.

Place the @boardname@ on the back of the sheet.

![](/static/mb/projects/wallet/mbhole1.jpg)

Mark the contour of the @boardname@ on the sheet with your marker. Don't worry about little mistakes.

![](/static/mb/projects/wallet/mbhole2.jpg)

Mark ticks at the location of each corners of the screen as shown on the picture.

![](/static/mb/projects/wallet/mbhole3.jpg)

Use the @boardname@ as a ruler to trace a line between the ticks.

![](/static/mb/projects/wallet/mbhole5.jpg)

Fill the inside square with your marker, you will need to cut it out later.

![](/static/mb/projects/wallet/mbhole6.jpg)

Mark the ticks along the button using the same procedure.

![](/static/mb/projects/wallet/mbhole7.jpg)

Fill the button square as well so that you clearly know what to cut or not.

![](/static/mb/projects/wallet/mbhole8.jpg)

Fold the sheet over the center of the darken area and cut out a triangle large enough to squeeze a blade of the scissors.

![](/static/mb/projects/wallet/mbhole9.jpg)

Starting from the small hole, work your way through cutting out the darkened area.

![](/static/mb/projects/wallet/mbhole10.jpg)

Eventually, the opening should look like a rectangle with a square in the middle.

![](/static/mb/projects/wallet/mbhole11.jpg)

Try mounting the @boardname@ and cutting more material as needed.

![](/static/mb/projects/wallet/mbhole12.jpg)

Put a generous layer of tape on the back of the @boardname@ to stick it on the wallet.

![](/static/mb/projects/wallet/mbhole13.jpg)

Attach the battery to the @boardname@. You are done for this step!

![](/static/mb/projects/wallet/mbhole14.jpg)

## Folding

The last step is to fold the sheet and tape the sides to get a wallet.

Start form the sheet facing paper up and fold the sheet over the large hole in the center.

![](/static/mb/projects/wallet/fold1.jpg)

Fold another time until the large hole is visible.

![](/static/mb/projects/wallet/fold2.jpg)

Apply a layer of tape on the side with the tape overlapping half over the wallet.

![](/static/mb/projects/wallet/fold3.jpg)

Flip over the wallet carefully.

![](/static/mb/projects/wallet/fold4.jpg)

Fold the remaining tape over the wallet and cut the sides with the scissors.

![](/static/mb/projects/wallet/fold5.jpg)

Tuck in the battery in the pocket inside the wallet and make sure the cables are out of the way.

![](/static/mb/projects/wallet/fold6.jpg)

Apply the tape on the side using the same procedure.

![](/static/mb/projects/wallet/fold7.jpg)

That's it! You have an @boardname@ wallet!

![](/static/mb/projects/wallet/wallet.jpg)

## Protecting those buttons!

The buttons of the @boarname@ are left vulnerable to being ripped out.

![](/static/mb/projects/wallet/rug1.jpg)

If you plan to make an extensive use of your wallet without using the buttons, you might want to consider to protect the buttons with additional tape.

![](/static/mb/projects/wallet/rug2.jpg)

The wallet is ready, we just have to add some code into the @boardname@ to make it alive.

### ~button /projects/wallet/code

Let's add some code!

### ~
